Index: trunk/shell/configurations/manycores/c-i-a-b.config.common
===================================================================
--- trunk/shell/configurations/manycores/c-i-a-b.config.common	(revision 52)
+++ trunk/shell/configurations/manycores/c-i-a-b.config.common	(revision 53)
@@ -1,7 +1,7 @@
 # Manycores configuration specific variables.
 #
 COMPUTE_NODE_CPUS_FILE=compute-nodes-cpus
-COMPUTE_NODE_SYSTEM_DISK_CLONE_SIZE=20G
+COMPUTE_NODE_SYSTEM_DISK_CLONE_SIZE=15G
 COMPUTE_NODE_MEMORY=2048 # 2 Gb
 COMPUTE_NODE_MAX_INDEX=42
 COMPUTE_NODE_SWAP_DISK_SIZE=$CONST_NULL_DISK_SIZE
Index: trunk/shell/configuration-stop-compute-nodes
===================================================================
--- trunk/shell/configuration-stop-compute-nodes	(revision 52)
+++ trunk/shell/configuration-stop-compute-nodes	(revision 53)
@@ -1,4 +1,4 @@
-#! /bin/bash -x
+#! /bin/bash
 #
 # ST - 2012-07-03
 #
@@ -16,7 +16,6 @@
 #
 CONFIGURATIONS=`ls $SCRIPT_PATH/$CONST_CONFIGURATIONS_DIR`
 CONFIGURATIONS_STRING="{"
-echo $CONFIGURATIONS
 for i in $CONFIGURATIONS ; do
   CONFIGURATIONS_STRING="$CONFIGURATIONS_STRING$i|"
 done
@@ -25,13 +24,15 @@
 #
 if [ "x$1" == "x" ]
   then
-     echo
-     echo "Missing parameter. Aborting!"
-     echo
-     echo "Usage: $SCRIPT_NAME configuration"
-     echo
-     echo -e "  configuration: one of $CONFIGURATIONS_STRING\b}"
-     exit 1
+    echo
+    echo "Missing parameter. Aborting!"
+    echo
+    echo "Usage: $SCRIPT_NAME configuration"
+    echo
+    echo -e "  configuration: one of $CONFIGURATIONS_STRING\b}"
+    echo
+    echo     
+    exit 1
 fi
 #
 # Does the configuration exist?
@@ -61,7 +62,7 @@
 #
 . $SCRIPT_PATH/$CONST_CONFIGURATIONS_DIR/$CONFIGURATION/c-i-a-b.config.common
 #
-# Start the compute-nodes.
+# Stop the compute-nodes.
 #
 COMPUTE_NODE_INDEX=1
 while [ $COMPUTE_NODE_INDEX -le $COMPUTE_NODE_MAX_INDEX ] ; do
@@ -80,59 +81,27 @@
   # Check if the corresponding VM is already running.
   #
   IS_RUNNING=`xm list | grep $CURRENT_HOST_NAME`
-  if [ -n "$IS_RUNNING" ] ; then
-    echo
-    echo The \"$CURRENT_HOST_NAME\" domU already exists. Aborting!
-    echo
-  fi
-  #
-  # Get the CPU data.
-  #
-  COMPUTE_NODE_CPUS=`sed -n ${NODE_NUMBER},${NODE_NUMBER}p $SCRIPT_PATH/$CONST_CONFIGURATIONS_DIR/$CONFIGURATION/$COMPUTE_NODE_CPUS_FILE`
-  COMPUTE_NODE_VCPUS_NUM=0
-  COMPUTE_NODE_CPUS_LIST=""
-  for i in $COMPUTE_NODE_CPUS ; do
-    if [ -z $COMPUTE_NODE_CPUS_LIST ] ; then
-      COMPUTE_NODE_CPUS_LIST=$i
-    else
-      COMPUTE_NODE_CPUS_LIST="$COMPUTE_NODE_CPUS_LIST,$i"
+  if [ ! -z "$IS_RUNNING" ] ; then
+    echo "Stopping $CURRENT_HOST_NAME..."
+    #
+    # Stop the virtual machine
+    #
+    xm shutdown $CURRENT_HOST_NAME
+    if [ $? -ne 0 ] ; then
+      ciab_abort_message "Can't stop $CURRENT_HOST_NAME" 1
     fi
-    COMPUTE_NODE_VCPUS_NUM=$((COMPUTE_NODE_VCPUS_NUM + 1))
-  done
-  #
-  # Check that the configuration file exists.
-  #
-  if [ ! -f $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg ] ; then
-    echo
-    echo
-    echo "No configuration file for \"$CURRENT_HOST_NAME\."
-    echo "Aborting!"
-    echo
-    echo
-    xm list
-    exit 1
-  fi
-  #
-  # Start the virtual machine
-  #
-  xm create $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-  #
-  # Wait until the virtual machine has started
-  #
-  IS_RUNNING=""
-  while [ -z "$IS_RUNNING" ]
-    do
-      IS_RUNNING=`xm list | grep $CURRENT_HOST_NAME`
-      sleep 1
-  done # End while
-  #
-  # Pin the VCPUs to "real" CPUs.
-  #
-  VCPU_INDEX=0
-  for i in $COMPUTE_NODE_CPUS_LIST ; do
-    xm vcpu-pin $CURRENT_HOST_NAME $VCPU_INDEX $i
-    VCPU_INDEX=$((VCPU_INDEX + 1))
-  done # End for i
+    #
+    # Wait until the virtual machine has stopped.
+    #
+    IS_RUNNING=""
+    while [ ! -z "$IS_RUNNING" ]
+      do
+        IS_RUNNING=`xm list | grep $CURRENT_HOST_NAME`
+        sleep 1
+    done # End while
+  else
+    echo "$CURRENT_HOST_NAME is already stopped."
+  fi # End if IS_RUNNING.
   COMPUTE_NODE_INDEX=$((COMPUTE_NODE_INDEX + 1))
 done # End main loop.
 #
Index: trunk/shell/configuration-start-compute-nodes
===================================================================
--- trunk/shell/configuration-start-compute-nodes	(revision 52)
+++ trunk/shell/configuration-start-compute-nodes	(revision 53)
@@ -1,4 +1,4 @@
-#! /bin/bash -x
+#! /bin/bash 
 #
 # ST - 2012-07-03
 #
@@ -16,22 +16,22 @@
 #
 CONFIGURATIONS=`ls $SCRIPT_PATH/$CONST_CONFIGURATIONS_DIR`
 CONFIGURATIONS_STRING="{"
-echo $CONFIGURATIONS
 for i in $CONFIGURATIONS ; do
   CONFIGURATIONS_STRING="$CONFIGURATIONS_STRING$i|"
 done
 #
 # Check command line arguments.
 #
-if [ "x$1" == "x" ]
-  then
-     echo
-     echo "Missing parameter. Aborting!"
-     echo
-     echo "Usage: $SCRIPT_NAME configuration"
-     echo
-     echo -e "  configuration: one of $CONFIGURATIONS_STRING\b}"
-     exit 1
+if [ "x$1" == "x" ] ; then
+    echo
+    echo "Missing parameter. Aborting!"
+    echo
+    echo "Usage: $SCRIPT_NAME configuration"
+    echo
+    echo -e "  configuration: one of $CONFIGURATIONS_STRING\b}"
+    echo
+    echo
+    exit 1
 fi
 #
 # Does the configuration exist?
Index: trunk/shell/configuration-delete-compute-nodes
===================================================================
--- trunk/shell/configuration-delete-compute-nodes	(revision 52)
+++ trunk/shell/configuration-delete-compute-nodes	(revision 53)
@@ -1,4 +1,4 @@
-#! /bin/bash -x
+#! /bin/bash 
 #
 # ST - 2012-07-04
 #
@@ -15,7 +15,6 @@
 #
 CONFIGURATIONS=`ls $SCRIPT_PATH/$CONST_CONFIGURATIONS_DIR`
 CONFIGURATIONS_STRING="{"
-echo $CONFIGURATIONS
 for i in $CONFIGURATIONS ; do
   CONFIGURATIONS_STRING="$CONFIGURATIONS_STRING$i|"
 done
@@ -79,6 +78,8 @@
   #
   CURRENT_HOST_NAME=${COMPUTE_NODE_NAME_PREFIX}${COMPUTE_NODE_INDEX_STRING}
   #
+  echo "Deleting $CURRENT_HOST_NAME..."
+  #
   # If the compute node is running, stop it.
   #
   IS_RUNNING=`xm list | grep $CURRENT_HOST_NAME`
@@ -92,6 +93,7 @@
       IS_RUNNING=`xm list | grep $CURRENT_HOST_NAME`
       sleep 1
     done # End while
+  sleep 1  # Extra delay after VM is stopped.
   fi # End compute node is running.
   #
   # If necessary, delete the VM system disk.
Index: trunk/shell/configuration-create-compute-nodes
===================================================================
--- trunk/shell/configuration-create-compute-nodes	(revision 52)
+++ trunk/shell/configuration-create-compute-nodes	(revision 53)
@@ -1,4 +1,4 @@
-#! /bin/bash -x
+#! /bin/bash
 #
 # ST - 2012-07-04
 #
@@ -16,7 +16,6 @@
 #
 CONFIGURATIONS=`ls $SCRIPT_PATH/$CONST_CONFIGURATIONS_DIR`
 CONFIGURATIONS_STRING="{"
-echo $CONFIGURATIONS
 for i in $CONFIGURATIONS ; do
   CONFIGURATIONS_STRING="$CONFIGURATIONS_STRING$i|"
 done
@@ -80,11 +79,12 @@
   #
   CURRENT_HOST_NAME=${COMPUTE_NODE_NAME_PREFIX}${COMPUTE_NODE_INDEX_STRING}
   #
+  echo "Creating $CURRENT_HOST_NAME..."
+  #
   # Get the compute node MAC address on the cluster.
   #
   CURRENT_PATH=/etc
-  COMPUTE_NODE_CLUSTER_MAC_ADDRESS=\
-  `awk -F, -v INDEX=$COMPUTE_NODE_INDEX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/${CONST_TEMPLATES_DIR}$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
+  COMPUTE_NODE_CLUSTER_MAC_ADDRESS=`awk -F, -v INDEX=$COMPUTE_NODE_INDEX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/${CONST_TEMPLATES_DIR}$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
   #
   # Create the VM system disk (a snapshot of the model disk).
   #
@@ -133,27 +133,27 @@
   CURRENT_PATH=/etc/xen
   cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/$CONST_COMPUTE_NODE_XEN_TEMPLATE_NAME \
      $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-  rpl -q Template Configuration $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+  rpl -q Template Configuration $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   rpl -q __COMPUTE_NODE_KERNEL__ "$COMPUTE_NODE_KERNEL" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg  > /dev/null 2>&1
   rpl -q __COMPUTE_NODE_RAMDISK__ "$COMPUTE_NODE_RAMDISK" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   rpl -q __COMPUTE_NODE_VCPUS_NUM__ "$COMPUTE_NODE_VCPUS_NUM" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   rpl -q __COMPUTE_NODE_CPUS__ "$COMPUTE_NODE_CPUS_LIST" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   # Memory
   rpl -q __COMPUTE_NODE_MEMORY__ "$COMPUTE_NODE_MEMORY" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   # Root device
   rpl -q __XEN_SYSTEM_DISK_ROOT_DEVICE_STANZA__ "$CONST_XEN_SYSTEM_DISK_ROOT_DEVICE_STANZA" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   #
   # System disk stuff
   #
   COMPUTE_NODE_SYSTEM_DISK_STANZA="'phy:${COMPUTE_NODE_MODEL_SYSTEM_VOLUME_GROUP_DEVICE}/${COMPUTE_NODE_SYSTEM_DISK},$COMPUTE_NODE_SYSTEM_VIRTUAL_VOLUME,w'"
   rpl -q __COMPUTE_NODE_SYSTEM_DISK_STANZA__ "$COMPUTE_NODE_SYSTEM_DISK_STANZA" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   #
   # No home disk stuff: home is network mounted.
   #
@@ -161,42 +161,42 @@
   if [ "x$COMPUTE_NODE_SWAP_DISK_SIZE" != "x$CONST_NULL_DISK_SIZE" ] ; then
     COMPUTE_NODE_SWAP_DISK_STANZA="'phy:${COMPUTE_NODE_SWAP_DISK_VOLUME_GROUP_DEVICE}/${COMPUTE_NODE_SWAP_DISK},$COMPUTE_NODE_SWAP_VIRTUAL_VOLUME,w'"
     rpl -q __COMPUTE_NODE_SWAP_DISK_STANZA__ "$COMPUTE_NODE_SWAP_DISK_STANZA" \
-       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
     # Comment out the noswap stanza.
     rpl -q __COMPUTE_NODE_NOSWAP__ "#$CLUSTER_NOSWAP" \
-       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   else # No swap
     rpl -q __COMPUTE_NODE_SWAP_DISK_STANZA__ "" \
-       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
     rpl -q __COMPUTE_NODE_NOSWAP__ "$CLUSTER_NOSWAP" \
-       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   fi
   #
   rpl -q __COMPUTE_NODE_HOST_NAME__ "$CURRENT_HOST_NAME" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   # Vif stuff.
-  COMPUTE_NODE_CLUSTER_STATIC_IP=\
-  `awk -F, -v INDEX=$NODE_NUMBER '{if (FNR==INDEX) {print $3}}' $SCRIPT_PATH/${CONST_TEMPLATES_DIR}/etc/$CONST_DHCP_HOSTS_FILE_BASENAME`
+  
+  COMPUTE_NODE_CLUSTER_STATIC_IP=`awk -F, -v INDEX=$COMPUTE_NODE_INDEX '{if (FNR==INDEX) {print $3}}' $SCRIPT_PATH/${CONST_TEMPLATES_DIR}/etc/$CONST_DHCP_HOSTS_FILE_BASENAME`
   VIF_STANZA=$CONST_XEN_VIF_STANZA_PREFIX
   INTERNAL_MAC="${CONST_XEN_MAC_PREFIX}${COMPUTE_NODE_CLUSTER_MAC_ADDRESS}"
   INTERNAL_BRIDGE="${CONST_XEN_BRIDGE_PREFIX}${CLUSTER_BRIDGE_NAME}"
   INTERNAL_IP="${CONST_XEN_IP_PREFIX}${COMPUTE_NODE_CLUSTER_STATIC_IP}"
   if [ $CLUSTER_INTERNAL_ADDRESSES_BY_DHCP -eq 1 ] ; then
     rpl -q __XEN_DHCP_STANZA__ "$CONST_XEN_DHCP_STANZA" \
-       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
     VIF_STANZA=${VIF_STANZA}${INTERNAL_IP}","${INTERNAL_MAC}","${INTERNAL_BRIDGE}${CONST_XEN_VIF_STANZA_POSTFIX}
   else
     # Comment out the DHCP_STANZA.
     rpl -q __XEN_DHCP_STANZA__ "#$CONST_XEN_DHCP_STANZA" \
-       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+       $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
     VIF_STANZA=${VIF_STANZA}${INTERNAL_IP}","${INTERNAL_MAC},${INTERNAL_BRIDGE}${CONST_XEN_VIF_STANZA_POSTFIX}
 fi
   # In any case, write the VIF_STANZA
   rpl -q __VIF_STANZA__ "$VIF_STANZA" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   # Console stuff as extra parameter
   rpl -q __EXTRA_STANZA__ "$CONST_XEN_EXTRA_STANZA" \
-     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+     $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg > /dev/null 2>&1
   # End creation of Xen configuration file.
   #
   # Complete installation
@@ -233,9 +233,9 @@
   # Static address on the cluster interface.
   # The DHCP case should be delt with. It involves a template overhaul.
   rpl -q __STATIC_ADDRESS__ "$COMPUTE_NODE_CLUSTER_STATIC_IP" \
-      ${COMPUTE_NODE_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/interfaces
+      ${COMPUTE_NODE_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/interfaces > /dev/null 2>&1
   rpl -q __STATIC_NETMASK__ "$CLUSTER_STATIC_NETMASK"  \
-      ${COMPUTE_NODE_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/interfaces
+      ${COMPUTE_NODE_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/interfaces > /dev/null 2>&1
     
   # /etc/hostname
   CURRENT_PATH=/etc
